Name:                apache-commons-jxpath
Version:             1.3
Release:             1
Summary:             Simple XPath interpreter
License:             ASL 2.0
URL:                 http://commons.apache.org/jxpath/
BuildArch:           noarch
Source0:             http://www.apache.org/dist/commons/jxpath/source/commons-jxpath-%{version}-src.tar.gz
Patch0:              commons-jxpath-mockrunner.patch
BuildRequires:       maven-local mvn(commons-beanutils:commons-beanutils) mvn(javax.servlet:jsp-api)
BuildRequires:       mvn(javax.servlet:servlet-api) mvn(jdom:jdom) mvn(junit:junit)
BuildRequires:       mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:       mvn(org.apache.maven.plugins:maven-assembly-plugin) mvn(xerces:xercesImpl)
BuildRequires:       mvn(xml-apis:xml-apis)
%description
Defines a simple interpreter of an expression language called XPath.
JXPath applies XPath expressions to graphs of objects of all kinds:
JavaBeans, Maps, Servlet contexts, DOM etc, including mixtures thereof.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n commons-jxpath-%{version}-src
%patch0 -p1
%mvn_file ":{*}" %{name} @1
%mvn_alias : org.apache.commons:
%pom_xpath_inject 'pom:properties' \
  '<commons.osgi.import>org.apache.commons.beanutils;resolution:="optional",org.jdom*;resolution:="optional",org.w3c.dom;resolution:="optional",javax.servlet*;resolution:="optional",*</commons.osgi.import>'

%build
%mvn_build -f -- -Dcommons.osgi.symbolicName=org.apache.commons.jxpath

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Tue Aug 25 2020 Jeffery.Gao <gaojianxing@huawei.com> - 1.3-1
- Package init
